summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2013-06-22 03:37:51 +0100
committerPádraig Brady <P@draigBrady.com>2013-06-22 04:02:19 +0100
commitbc70095df2ea1bc4338ea7331d44b916e0c82258 (patch)
tree78c2d84095471279b6fb0b8c9d3a1a2fd0ede930 /tests
parentb235223926c23f358df323fab4b368b46d0074af (diff)
downloadcoreutils-bc70095df2ea1bc4338ea7331d44b916e0c82258.tar.xz
stdbuf: make it mandatory to specify a buffering option
This is consistent with the documented interface and avoids any ambiguity in a user thinking that stdbuf without options might reset to a "standard" buffering setup. * src/stdbuf.c (set_libstdbuf_options): Indicate with the return value whether any env variables were actually set. (main): Fail unless some env variables were set. * tests/misc/stdbuf.sh: Ensure this constraint is enforced. * NEWS: Mention the small change in behavior.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/stdbuf.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/misc/stdbuf.sh b/tests/misc/stdbuf.sh
index 12347ecc7..650e8e737 100755
--- a/tests/misc/stdbuf.sh
+++ b/tests/misc/stdbuf.sh
@@ -50,6 +50,8 @@ stdbuf -o$SIZE_OFLOW true # size too large
test $? = 125 || fail=1
stdbuf -iL true # line buffering stdin disallowed
test $? = 125 || fail=1
+stdbuf true # a buffering mode must be specified
+test $? = 125 || fail=1
stdbuf -i0 -o0 -e0 true || fail=1 #check all files
stdbuf -o1 . # invalid command
test $? = 126 || fail=1